# Class PersistentPaginatorDirective

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:15

#####
Index

### Constructors

constructor

### Properties

_subscription?
id?
matPaginator

### Methods

getKey
ngOnDestroy
ngOnInit
restoreConfig
storeConfig

## Constructors

### constructor

- new PersistentPaginatorDirective(matPaginator): PersistentPaginatorDirective

- #### Parameters

  - matPaginator: MatPaginator

  #### Returns PersistentPaginatorDirective

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:22

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:20

### `Optional` id

id?: string

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:18

### `Private` `Readonly` matPaginator

matPaginator: MatPaginator

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:23

## Methods

### getKey

- getKey(): string

- #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:41

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:37

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:27

### restoreConfig

- restoreConfig(): null | {
  pageSize: number;
  }

- #### Returns null | {
  pageSize: number;
  }

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:50

### storeConfig

- storeConfig(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:45